Subject: Re: [PATCH] net: Fix test for VLAN TX checksum offload capability

From: Stephen Hemminger <[email-masked]>
Date: Fri, 13 Jun 2008 15:43:07 -0700

On Fri, 13 Jun 2008 23:38:16 +0100
Ben Hutchings <[email-masked]> wrote:

> Selected device feature bits can be propagated to VLAN devices, so we
> can make use of TX checksum offload and TSO on VLAN-tagged packets.
> However, if the physical device does not do VLAN tag insertion or
> generic checksum offload then the test for TX checksum offload in
> dev_queue_xmit() will see a protocol of htons(ETH_P_8021Q) and yield
> false.

Are you sure that some hardware isn't broken and can do vlan tag
insertion or checksumming but not both?